Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties
Class PropertiesServiceAdapterFactory

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.properties.PropertiesServiceAdapterFactory

All Implemented Interfaces:
  IAdapterFactory, IPropertySourceProvider

    public class PropertiesServiceAdapterFactory

extends java.lang.Object
implements IAdapterFactory, IPropertySourceProvider

Use to get the IPropertySource adapter for an object so that its properties can be build by the properties service.

Constructor Summary
`PropertiesServiceAdapterFactory()` PropertiesServiceAdapterFactory constructor

Method Summary
`java.lang.Object` `getAdapter(java.lang.Object adaptableObject, java.lang.Class adapterType)`
`java.lang.Class[]` `getAdapterList()`
`IPropertySource` `getPropertySource(java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesServiceAdapterFactory

    public PropertiesServiceAdapterFactory()

  PropertiesServiceAdapterFactory constructor

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptableObject,
                                       java.lang.Class adapterType)

  Specified by:
    `getAdapter` in interface `IAdapterFactory`
  See Also:
    `IAdapterFactory.getAdapter(Object, Class)`

### getAdapterList

    public java.lang.Class[] getAdapterList()

  Specified by:
    `getAdapterList` in interface `IAdapterFactory`
  See Also:
    `IAdapterFactory.getAdapterList()`

### getPropertySource

    public IPropertySource getPropertySource(java.lang.Object object)

  Specified by:
    `getPropertySource` in interface `IPropertySourceProvider`
  See Also:
    `IPropertySourceProvider.getPropertySource(java.lang.Object)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.